curl --request POST \
--url https://api.olostep.com/v1/monitors/{monitor_id}/resume \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olostep.com/v1/monitors/{monitor_id}/resume"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olostep.com/v1/monitors/{monitor_id}/resume', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "monitor",
"query": "<string>",
"tracked": {
"type": "<string>",
"urls": [
"<string>"
],
"web_query": "<string>"
},
"source_policy": {
"include_urls": [
"<string>"
],
"exclude_urls": [
"<string>"
],
"include_domains": [
"<string>"
],
"exclude_domains": [
"<string>"
]
},
"schedule": {
"frequency": "<string>",
"cron": "<string>",
"timezone": "UTC",
"next_run_at": "2023-11-07T05:31:56Z"
},
"notification": {
"events": [
"changed"
],
"channels": [
{
"type": "email",
"target": "<string>",
"events": [
"changed"
]
}
]
},
"webhook": {
"url": "<string>"
},
"output_schema": {},
"status": "provisioning",
"error_message": "<string>",
"last_run": {
"id": "<string>",
"status": "completed",
"change_detected": true,
"ran_at": "2023-11-07T05:31:56Z"
},
"agent": {
"id": "<string>"
},
"metadata": {},
"created": 123,
"updated": 123,
"total_count": 123,
"mermaid_diagram": "<string>"
}{
"error": "<string>",
"monitor_id": "<string>"
}{
"error": "<string>",
"monitor_id": "<string>"
}Resume Monitor
Resumes a paused monitor by re-enabling scheduled runs.
Authorizations
Bearer authentication header of the form Bearer , where is your auth token.
Path Parameters
^monitor_Response
Monitor resumed.
Unique monitor identifier (monitor_…).
"monitor"
Monitoring intent in natural language.
Resolved targets the monitor tracks after planning completes.
Show child attributes
Show child attributes
Optional URL/domain allow and deny lists applied during planning and execution.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Optional JSON Schema for structured extraction output.
Monitor lifecycle status.
provisioning, active, paused, failed, deleted Present when status is failed.
Latest snapshot summary. Included on GET /v1/monitors/{monitor_id}.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Unix timestamp (seconds).
Unix timestamp (seconds).
Total snapshot count. Included on GET /v1/monitors/{monitor_id} unless include_total_count=false.
Mermaid flowchart of the monitor DAG. Included when include-diagram=true on get.
Was this page helpful?